### Function

# Gtk get_locale_direction

since: 4.0

#### Declaration [src]

    GtkTextDirection
    gtk_get_locale_direction (
      void
    )

#### Description [src]

Get the direction of the current locale. This is the expected reading direction for text and UI.

This function depends on the current locale being set with `setlocale()` and will default to setting the `GTK_TEXT_DIR_LTR` direction otherwise. `GTK_TEXT_DIR_NONE` will never be returned.

GTK sets the default text direction according to the locale during gtk_init(), and you should normally use `gtk_widget_get_direction()` or `gtk_widget_get_default_direction()` to obtain the current direction.

This function is only needed rare cases when the locale is changed after GTK has already been initialized. In this case, you can use it to update the default text direction as follows:

    #include <locale.h>

    static void
    update_locale (const char *new_locale)
    {
      setlocale (LC_ALL, new_locale);
      gtk_widget_set_default_direction (gtk_get_locale_direction ());
    }

Available since: 4.0

#### Return value

Type: `GtkTextDirection`

The direction of the current locale.